org.wso2.carbon.mdm.services.android.services.impl

## Class DeviceManagementAdminServiceImpl

- java.lang.Object
- - org.wso2.carbon.mdm.services.android.services.impl.DeviceManagementAdminServiceImpl

- All Implemented Interfaces:
    DeviceManagementAdminService

      public class DeviceManagementAdminServiceImpl
      extends Object
      implements DeviceManagementAdminService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceManagementAdminServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `blacklistApplications(BlacklistApplicationsBeanWrapper blacklistApplicationsBeanWrapper)`
    `javax.ws.rs.core.Response` | `changeLockCode(LockCodeBeanWrapper lockCodeBeanWrapper)`
    `javax.ws.rs.core.Response` | `configureCamera(CameraBeanWrapper cameraBeanWrapper)`
    `javax.ws.rs.core.Response` | `configureDeviceLock(DeviceLockBeanWrapper deviceLockBeanWrapper)`
    `javax.ws.rs.core.Response` | `configureDeviceUnlock(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `configureVPN(VpnBeanWrapper vpnConfiguration)`
    `javax.ws.rs.core.Response` | `configureWifi(WifiBeanWrapper wifiBeanWrapper)`
    `javax.ws.rs.core.Response` | `encryptStorage(EncryptionBeanWrapper encryptionBeanWrapper)`
    `javax.ws.rs.core.Response` | `getApplications(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `getDeviceInformation(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `getDeviceLocation(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `getDeviceLogcat(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `installApplication(ApplicationInstallationBeanWrapper applicationInstallationBeanWrapper)`
    `javax.ws.rs.core.Response` | `muteDevice(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `rebootDevice(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `removePassword(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `ringDevice(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `sendNotification(NotificationBeanWrapper notificationBeanWrapper)`
    `javax.ws.rs.core.Response` | `setPasswordPolicy(PasswordPolicyBeanWrapper passwordPolicyBeanWrapper)`
    `javax.ws.rs.core.Response` | `setWebClip(WebClipBeanWrapper webClipBeanWrapper)`
    `javax.ws.rs.core.Response` | `uninstallApplication(ApplicationUninstallationBeanWrapper applicationUninstallationBeanWrapper)`
    `javax.ws.rs.core.Response` | `updateApplication(ApplicationUpdateBeanWrapper applicationUpdateBeanWrapper)`
    `javax.ws.rs.core.Response` | `upgradeFirmware(UpgradeFirmwareBeanWrapper upgradeFirmwareBeanWrapper)`
    `javax.ws.rs.core.Response` | `wipeData(WipeDataBeanWrapper wipeDataBeanWrapper)`
    `javax.ws.rs.core.Response` | `wipeDevice(List<String> deviceIDs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceManagementAdminServiceImpl

          public DeviceManagementAdminServiceImpl()

  - ### Method Detail

    - #### configureDeviceLock

          public javax.ws.rs.core.Response configureDeviceLock(DeviceLockBeanWrapper deviceLockBeanWrapper)

      Specified by:
        `configureDeviceLock` in interface `DeviceManagementAdminService`

    - #### configureDeviceUnlock

          public javax.ws.rs.core.Response configureDeviceUnlock(List<String> deviceIDs)

      Specified by:
        `configureDeviceUnlock` in interface `DeviceManagementAdminService`

    - #### getDeviceLocation

          public javax.ws.rs.core.Response getDeviceLocation(List<String> deviceIDs)

      Specified by:
        `getDeviceLocation` in interface `DeviceManagementAdminService`

    - #### removePassword

          public javax.ws.rs.core.Response removePassword(List<String> deviceIDs)

      Specified by:
        `removePassword` in interface `DeviceManagementAdminService`

    - #### configureCamera

          public javax.ws.rs.core.Response configureCamera(CameraBeanWrapper cameraBeanWrapper)

      Specified by:
        `configureCamera` in interface `DeviceManagementAdminService`

    - #### getDeviceInformation

          public javax.ws.rs.core.Response getDeviceInformation(List<String> deviceIDs)

      Specified by:
        `getDeviceInformation` in interface `DeviceManagementAdminService`

    - #### getDeviceLogcat

          public javax.ws.rs.core.Response getDeviceLogcat(List<String> deviceIDs)

      Specified by:
        `getDeviceLogcat` in interface `DeviceManagementAdminService`

    - #### wipeDevice

          public javax.ws.rs.core.Response wipeDevice(List<String> deviceIDs)

      Specified by:
        `wipeDevice` in interface `DeviceManagementAdminService`

    - #### wipeData

          public javax.ws.rs.core.Response wipeData(WipeDataBeanWrapper wipeDataBeanWrapper)

      Specified by:
        `wipeData` in interface `DeviceManagementAdminService`

    - #### getApplications

          public javax.ws.rs.core.Response getApplications(List<String> deviceIDs)

      Specified by:
        `getApplications` in interface `DeviceManagementAdminService`

    - #### ringDevice

          public javax.ws.rs.core.Response ringDevice(List<String> deviceIDs)

      Specified by:
        `ringDevice` in interface `DeviceManagementAdminService`

    - #### rebootDevice

          public javax.ws.rs.core.Response rebootDevice(List<String> deviceIDs)

      Specified by:
        `rebootDevice` in interface `DeviceManagementAdminService`

    - #### muteDevice

          public javax.ws.rs.core.Response muteDevice(List<String> deviceIDs)

      Specified by:
        `muteDevice` in interface `DeviceManagementAdminService`

    - #### installApplication

          public javax.ws.rs.core.Response installApplication(ApplicationInstallationBeanWrapper applicationInstallationBeanWrapper)

      Specified by:
        `installApplication` in interface `DeviceManagementAdminService`

    - #### updateApplication

          public javax.ws.rs.core.Response updateApplication(ApplicationUpdateBeanWrapper applicationUpdateBeanWrapper)

      Specified by:
        `updateApplication` in interface `DeviceManagementAdminService`

    - #### uninstallApplication

          public javax.ws.rs.core.Response uninstallApplication(ApplicationUninstallationBeanWrapper applicationUninstallationBeanWrapper)

      Specified by:
        `uninstallApplication` in interface `DeviceManagementAdminService`

    - #### blacklistApplications

          public javax.ws.rs.core.Response blacklistApplications(BlacklistApplicationsBeanWrapper blacklistApplicationsBeanWrapper)

      Specified by:
        `blacklistApplications` in interface `DeviceManagementAdminService`

    - #### upgradeFirmware

          public javax.ws.rs.core.Response upgradeFirmware(UpgradeFirmwareBeanWrapper upgradeFirmwareBeanWrapper)

      Specified by:
        `upgradeFirmware` in interface `DeviceManagementAdminService`

    - #### configureVPN

          public javax.ws.rs.core.Response configureVPN(VpnBeanWrapper vpnConfiguration)

      Specified by:
        `configureVPN` in interface `DeviceManagementAdminService`

    - #### sendNotification

          public javax.ws.rs.core.Response sendNotification(NotificationBeanWrapper notificationBeanWrapper)

      Specified by:
        `sendNotification` in interface `DeviceManagementAdminService`

    - #### configureWifi

          public javax.ws.rs.core.Response configureWifi(WifiBeanWrapper wifiBeanWrapper)

      Specified by:
        `configureWifi` in interface `DeviceManagementAdminService`

    - #### encryptStorage

          public javax.ws.rs.core.Response encryptStorage(EncryptionBeanWrapper encryptionBeanWrapper)

      Specified by:
        `encryptStorage` in interface `DeviceManagementAdminService`

    - #### changeLockCode

          public javax.ws.rs.core.Response changeLockCode(LockCodeBeanWrapper lockCodeBeanWrapper)

      Specified by:
        `changeLockCode` in interface `DeviceManagementAdminService`

    - #### setPasswordPolicy

          public javax.ws.rs.core.Response setPasswordPolicy(PasswordPolicyBeanWrapper passwordPolicyBeanWrapper)

      Specified by:
        `setPasswordPolicy` in interface `DeviceManagementAdminService`

    - #### setWebClip

          public javax.ws.rs.core.Response setWebClip(WebClipBeanWrapper webClipBeanWrapper)

      Specified by:
        `setWebClip` in interface `DeviceManagementAdminService`

Copyright © 2017 WSO2. All rights reserved.